Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.commerce.ebusiness.price.quote
Class AbstractMoney

    java.lang.Object
      com.bea.commerce.ebusiness.price.quote.AbstractMoney

All Implemented Interfaces
  Money, Serializable

Direct Known Subclasses:
  ImmutableMoney, MutableMoney

Deprecated See BEA Commerce product offering

    @Deprecated
    public abstract class AbstractMoney

extends Object
implements Money

See Also
  Serialized Form

Field Summary
`static String` | `NO_CURRENCY` Deprecated See BEA Commerce product offering
`static double` | `ZERO` Deprecated See BEA Commerce product offering

Constructor Summary
`AbstractMoney()` Deprecated See BEA Commerce product offering

Method Summary
`static int` | `compare(Money moneyA, Money moneyB)` Deprecated See BEA Commerce product offering
`boolean` | `equals(Object object)` Deprecated See BEA Commerce product offering
`abstract String` | `getCurrency()` Deprecated See BEA Commerce product offering
`abstract double` | `getValue()` Deprecated See BEA Commerce product offering
`String` | `toString()` Deprecated See BEA Commerce product offering

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ZERO

    public static final double ZERO

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### NO_CURRENCY

    public static final String NO_CURRENCY

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

Constructor Detail

### AbstractMoney

    public AbstractMoney()

  Deprecated See BEA Commerce product offering

Method Detail

### compare

    public static int compare(Money moneyA,
                              Money moneyB)
                       throws CurrencyMismatchException

  Deprecated See BEA Commerce product offering

  Compares to money objects.

  Parameters
    `moneyA` - a Money object
    `moneyB` - a Money object
  Returns
    -1, 0, or 1 corresponding to the contract for the Comparator interface.
  Throws
    `CurrencyMismatchException` - if the currencies of the two Money objects differ.
  See Also
    `Money`, `CurrencyMismatchException`

### getValue

    public abstract double getValue()

  Deprecated See BEA Commerce product offering

  Specified by:
    `getValue` in interface `Money`
  Returns
    the amount of money

### getCurrency

    public abstract String getCurrency()

  Deprecated See BEA Commerce product offering

  Specified by:
    `getCurrency` in interface `Money`
  Returns
    the currency string.

### equals

    public boolean equals(Object object)

  Deprecated See BEA Commerce product offering

  Compares the specified object with this object. This method will return true if the specified object implements the Money interface and has the same currency and amount as this object.

  Overrides:
    `equals` in class `Object`
  Parameters
    `object` -
  Returns
    true if the specified object implements the Money interface and has the same currency as this object.
  See Also
    `Money`

### toString

    public String toString()

  Deprecated See BEA Commerce product offering

  Returns a string containing the value and currency of the object.

  Overrides:
    `toString` in class `Object`
  Returns
    the value and currency of the object as a String

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved